Generate and download a post exposure report
POST/api/v4/content_flagging/post/:post_id/exposure_report
Generates a CSV report listing the users who may have been exposed to a flagged post, derived from the channel membership history between the post's creation and it being flagged, and from each member's channel read state. All other content reviewers of the post's team are notified that an exposure report has been generated. The user must be a content reviewer of the team to which the post belongs to, and the post must be flagged. The report remains available after the review is closed, in any status. Exposure reports are not available for direct or group message channels. An enterprise advanced license is required.
Request
Responses
- 200
- 400
- 403
- 404
- 500
- 501
Report generated successfully. The response body is a CSV file. Metadata and the reporting window are emitted as #-prefixed comment lines above the header row.
Response Headers
Specifies the suggested filename for the downloaded file (e.g. attachment; filename=“post-exposure-{post_id}-{timestamp}.csv”).
Bad request - Invalid post ID, or the post is in a direct or group message channel.
Forbidden - User does not have permission to access this post, or is not a reviewer of the post's team.
Post not found or post is not flagged.
Internal server error.
Feature is disabled either via config or an Enterprise Advanced license is not available.